VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser Class Reference

`Snmp.SNMPUser` class Structure that defines information associated with an SNMP user. More...

List of all members.

## Public Member Functions
| SNMPUser ()
| Creates a default new instance.
string | GetUsername ()
| SNMP Username.
void | SetUsername (string username)
| SNMP Username.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel | GetSecLevel ()
| SNMP security level.
void | SetSecLevel (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel secLevel)
| SNMP security level.
string | GetAuthKey ()
| SNMP authorization key.
void | SetAuthKey (string authKey)
| SNMP authorization key.
string | GetPrivKey ()
| SNMP privacy key.
void | SetPrivKey (string privKey)
| SNMP privacy key.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPUser` class Structure that defines information associated with an SNMP user.

authKey and privKey are localized keys defined in http://tools.ietf.org/html/rfc3826#section-1.2.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::SNMPUser | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::GetAuthKey | ( |  | ) | `[inline]`

SNMP authorization key.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::GetPrivKey | ( |  | ) | `[inline]`

SNMP privacy key.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::GetSecLevel | ( |  | ) | `[inline]`

SNMP security level.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::GetUsername | ( |  | ) | `[inline]`

SNMP Username.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::SetAuthKey | ( | string | authKey | ) | `[inline]`

SNMP authorization key.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::SetPrivKey | ( | string | privKey | ) | `[inline]`

SNMP privacy key.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::SetSecLevel | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel | secLevel | ) | `[inline]`

SNMP security level.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::SetUsername | ( | string | username | ) | `[inline]`

SNMP Username.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPUser::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs